<?xml version="1.0"?>

<project basedir="." default="exe">
	
	<property file="custom.properties" />
		
	
	<!-- JSmooth task definition -->
	<taskdef name="jsmoothgen"
		classname="net.charabia.jsmoothgen.ant.JSmoothGen"
		classpath="${jsmooth.ant.jar}"/>
		
	
	<!-- ================================= 
	          target: exe              
	         ================================= -->
	<target name="exe">

		<jsmoothgen project="${jsmooth.metadata.file}"
			skeletonroot="${jsmooth.skeletons.dir}" verbose="true" />		
		
		<copy file="${jsmooth.exe.file}" todir="../../../target" ></copy>
		<delete file="${jsmooth.exe.file}" failonerror="false"></delete>
		
	</target>
	
</project>